Subject: Ticket Assigned - Refund didn’t reflect on my card
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 13 Jan 2022 11:41:39 +0000

Hi Reenad Alosaimi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Refund didn’t reflect on my card Hi,
I have returned items from 3 different shipments with the same carrier, I received the refund from 2 orders with the amoun of 28 and 87.7 riyals. However, I was not refunded the 125 riyals from order no. 6370292951 although all the items were collected at the exact same time and I received massages confirming the refund process, yet no actual refund
I also contacted you customer service rep and they promised to help, again with no use.
Kindly address the problem as soon as possible 
Thank you 

Sent from my iPhone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3601468